const eMusic_PrefService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
const eMusic_Branch = eMusic_PrefService.getBranch("eMusicToolbar.");
const eMusic_BaseURL = "http://www.emusic.com";
const eMusic_DailyDownloadPopupURL = "http://www.emusic.com/toolbar/daily_pop.html";
const eMusic_DailyDownloadURL = "http://www.emusic.com/toolbar/daily_main.html";
const eMusic_OptionsDialog = "chrome://emusictoolbar/content/emusicoptions.xul";
const eMusic_FeedbackURL = "http://emusictoolbar.mozdev.org/list.html";
const eMusic_BaseArtistURL = "http://www.emusic.com/artist";
const eMusic_BaseAlbumURL = "http://www.emusic.com/album";
const eMusic_MaxSavedSearches = 5;
const eMusic_HideableItems = new Array("eMusic-DailyDownload", "eMusic-BrowseMenu", "eMusic-New", "eMusic-Charts", "eMusic-Live",
							"eMusic-MessageBoardsMenu", "eMusic-AccountMenu");

var eMusic_Initialized = 0;
var eMusic_TB_AutoComplete;
var eMusic_TB_NewWindow;
var eMusic_TB_AMGNewWindow;
var eMusic_TB_SearchHistory;
var eMusic_TB_AutoSearch;
var eMusic_TB_AutoDragSearch;
var eMusic_TB_ShowText;
var eMusic_TB_ShowWordFind;
var eMusic_TB_SearcheMusic;

var eMusic_PrefObserver =
{
  register: function()
  {
    this._branch = eMusic_Branch;
    this._branch.QueryInterface(Components.interfaces.nsIPrefBranch2);
    this._branch.addObserver("", this, false);
  },

  unregister: function()
  {
    if(!this._branch) return;
    this._branch.removeObserver("", this);
  },

  observe: function(aSubject, aTopic, aData)
  {
	if(aTopic != "nsPref:changed") return;

    	// aSubject is the nsIPrefBranch we're observing
    	// aData is the name of the pref that's been changed (relative to aSubject)
    	switch (aData) 
	{
      		case "buttons.browse":
        		eMusic_SetHidden("eMusic-BrowseMenu");
        		break;
      		case "buttons.charts":
        		eMusic_SetHidden("eMusic-Charts");
        		break;
      		case "buttons.dailyDownload":
        		eMusic_SetHidden("eMusic-DailyDownload");
        		break;
      		case "buttons.live":
        		eMusic_SetHidden("eMusic-Live");
        		break;
      		case "buttons.new":
        		eMusic_SetHidden("eMusic-New");
        		break;
      		case "buttons.account":
        		eMusic_SetHidden("eMusic-AccountMenu");
        		break;
		case "buttons.messageBoards":
        		eMusic_SetHidden("eMusic-MessageBoardsMenu");
        		break;
		case "options.showtext":
			eMusic_TB_ShowText = eMusic_Branch.getBoolPref("options.showtext");
			var tb = document.getElementById("eMusic-Toolbar");

			tb.setAttribute("labels", eval(eMusic_TB_ShowText));
        		break;
		case "options.autosearch":
			eMusic_TB_AutoSearch = eMusic_Branch.getBoolPref("options.autosearch");
			break;
		case "options.amgnewwindow":
			eMusic_TB_AMGNewWindow = eMusic_Branch.getBoolPref("options.amgnewwindow");
			break;
		case "options.newwindow":
			eMusic_TB_NewWindow = eMusic_Branch.getBoolPref("options.newwindow");
			break;
		case "options.history":
			eMusic_TB_SearchHistory = eMusic_Branch.getBoolPref("options.history");
			if(!eMusic_TB_SearchHistory)
			{
				for( var i = 0; i < eMusic_MaxSavedSearches; i++ )
				{
					eMusic_Branch.clearUserPref("savedsearch"+i);
				}
			}
			break;
		case "options.searchemusic":
			eMusic_TB_SearcheMusic = eMusic_Branch.getBoolPref("options.searchemusic");
			var searchMenu = document.getElementById("eMusic-SearchMenu");
			var localeStrings = document.getElementById("eMusic-Bundle");

			if(eMusic_TB_ShowText)
			{
				if(eMusic_TB_SearcheMusic)
					searchMenu.setAttribute("label", localeStrings.getString("eMusic-Search-eMusic-Label"));
				else			
					searchMenu.setAttribute("label", localeStrings.getString("eMusic-Search-Web-Label"));
			}
			break;
    	}
  }
}

function eMusic_LoadURL(URL)
{
	// Set the document's location to the incoming URL
	window._content.document.location = URL;
	
	// Make sure we get the focus
	window.content.focus();

}

function eMusic_LoadURLNew(URL)
{
	window.open(URL);
}
