/* Functions which deal with changes to eMusic Toolbar Preferences */

function eMusic_FixToolbarSeparators()
{
	var t = document.getElementById("eMusic-Separator1");

	// the first separator only appears when the daily download button is active
	t.setAttribute("collapsed", !eMusic_Branch.getBoolPref('buttons.dailyDownload'));
		
	t = document.getElementById("eMusic-Separator2");

	// the second separator only appears when the browse menu, message board menu, or account menu is visible 
	t.setAttribute("collapsed", !( eMusic_Branch.getBoolPref('buttons.browse') || 
					    eMusic_Branch.getBoolPref('buttons.messageBoards') ||
					    eMusic_Branch.getBoolPref('buttons.account') ));

	t = document.getElementById("eMusic-Separator3");	

	// the last separator appears when either the New, Charts or Live buttons are visible
	t.setAttribute("collapsed", !( eMusic_Branch.getBoolPref('buttons.live') || 
					    eMusic_Branch.getBoolPref('buttons.charts') ||
					    eMusic_Branch.getBoolPref('buttons.new') ));
}

function eMusic_SetHidden(id)
{
	var hide;

	if(!id) return;
	
	var e = document.getElementById(id);
	
	if(!e) return;

	switch(id)
	{
		case "eMusic-DailyDownload":
			hide = !eMusic_Branch.getBoolPref('buttons.dailyDownload');
			break;
		case "eMusic-BrowseMenu":
			hide = !eMusic_Branch.getBoolPref('buttons.browse');
			break;
		case "eMusic-New":
			hide = !eMusic_Branch.getBoolPref('buttons.new');
			break;
		case "eMusic-Charts":
			hide = !eMusic_Branch.getBoolPref('buttons.charts');
			break;
		case "eMusic-Live":
			hide = !eMusic_Branch.getBoolPref('buttons.live');
			break;
		case "eMusic-MessageBoardsMenu":
			hide = !eMusic_Branch.getBoolPref('buttons.messageBoards');
			break;
		case "eMusic-AccountMenu":
			hide = !eMusic_Branch.getBoolPref('buttons.account');
			break;

		default:
			return;
	}

	e.setAttribute("collapsed", hide);
	eMusic_FixToolbarSeparators();
}
